Lua Framework


This is not an official build of Lua
Direct all issues and comments to

This is a build of the Lua language that is packaged as a universal binary mac framework.

It should work on Mac OS X 10.5 or later.

It is derived from the build by Niklas Frykholm but updated for Lua 5.1.4


The 5.1.4 build was revised to include the correct library version in the framework info.plist
(It was 5.1.4, but the framework thought it was version 5.0.2)

Sorry to anyone who ran into trouble with this.

The official site for Lua is at

Framework Only

zip File
Version 5.14

Source + Xcode Project

zip File
Version 5.14


  • Mac OS X 10.5
  • Intel or PowerPC Mac
  • (Universal Binary)
  • 64 bit Intel Support